フォーム定義を取得
curl --request GET \
--url https://api.hubapi.com/marketing/forms/2026-09-beta/{formId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/forms/2026-09-beta/{formId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/forms/2026-09-beta/{formId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"archived": true,
"configuration": {
"allowLinkToResetKnownValues": true,
"archivable": true,
"cloneable": true,
"createNewContactForNewEmail": true,
"editable": true,
"lifecycleStages": [
{
"objectTypeId": "<string>",
"value": "<string>"
}
],
"notifyContactOwner": true,
"notifyRecipients": [
"<string>"
],
"postSubmitAction": {
"value": "<string>"
},
"prePopulateKnownValues": true,
"recaptchaEnabled": true
},
"createdAt": "2023-11-07T05:31:56Z",
"displayOptions": {
"renderRawHtml": true,
"style": {
"backgroundWidth": "<string>",
"fontFamily": "<string>",
"helpTextColor": "<string>",
"helpTextSize": "<string>",
"labelTextColor": "<string>",
"labelTextSize": "<string>",
"legalConsentTextColor": "<string>",
"legalConsentTextSize": "<string>",
"submitColor": "<string>",
"submitFontColor": "<string>",
"submitSize": "<string>"
},
"submitButtonText": "<string>",
"cssClass": "<string>"
},
"fieldGroups": [
{
"fields": [
{
"dependentFields": [
{
"dependentCondition": {
"rangeEnd": "<string>",
"rangeStart": "<string>",
"value": "<string>",
"values": [
"<string>"
]
},
"dependentField": "<unknown>"
}
],
"fieldType": "email",
"hidden": true,
"label": "<string>",
"name": "<string>",
"objectTypeId": "<string>",
"required": true,
"validation": {
"blockedEmailDomains": [
"<string>"
],
"useDefaultBlockList": true
},
"defaultValue": "<string>",
"description": "<string>",
"placeholder": "<string>"
}
],
"richText": "<string>"
}
],
"formType": "hubspot",
"id": "<string>",
"legalConsentOptions": {
"type": "none"
},
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}フォーム
Get a form definition
フォームの固有IDを使用して、HubSpotアカウント内の特定のフォームの詳細を取得します。このエンドポイントでは、フォームの設定や表示オプションなどの情報にアクセスできます。レスポンスにアーカイブされたフォームを含めるかどうかを指定することもできます。
GET
/
marketing
/
forms
/
2026-09-beta
/
{formId}
フォーム定義を取得
Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
フォームの固有ID
クエリパラメータ
アーカイブ済みの結果のみを返すかどうか。
レスポンス
successful operation
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
利用可能なオプション:
hubspot - none
- legitimate_interest
- explicit_consent_to_process
- implicit_consent_to_process
Show child attributes
Show child attributes
最終更新日 2026年4月10日
⌘I